import QtQuick 2.7

import QtQuick.Controls 1.4

Item {
    id: fileManager
    Item {
        anchors.fill: parent
        anchors.margins: app.ratioH * 10
        anchors.topMargin: app.ratioH * 96
        Component.onCompleted: {
            app.currentStack = "fileManager.qml"
        }
        onVisibleChanged: {
            if (this.visible === true) {
                app.currentStack = "fileManager.qml"
            }
        }
        TabView {
            id: fileTabView
            anchors.fill: parent
            Tab {
                id: updatedFileTab
                title: qsTr("Mise à jour")
                source: Qt.resolvedUrl("../tab/updated.qml")
            }
            Tab {
                id: queuedFileTab
                title: qsTr("File de téléchargement")
                source: Qt.resolvedUrl("../tab/queue.qml")
            }
            Tab {
                id: errorsTab
                title: qsTr("Erreur(s)")
                source: Qt.resolvedUrl("../tab/errors.qml")
            }
        }
    }
}
