import QtQuick 2.7
import QtQuick.Controls 1.4

Item {
    id: queuedView
    anchors.fill: parent
    anchors.margins: app.ratioH * 10
    TableView {
        id: table
        alternatingRowColors: true
        headerVisible: false
        anchors.fill: parent
        TableViewColumn {
            id: statusCol
            role: "isNew"
            title: qsTr("Statut")
            width: parent.width * 0.07
            delegate: Component {
                Text {
                    text: styleData.value ? qsTr("nouveau") : qsTr("mise à jour")
                }
            }
        }
        TableViewColumn {
            id: timestampCol
            role: "timestamp"
            title: qsTr("Date du Média")
            width: parent.width * 0.15
        }
        TableViewColumn {
            id: nameCol
            role: "path"
            title: qsTr("Nom")
            width: parent.width * 0.74
        }
        model: queuedFiles
    }
}
