import QtQuick 2.7

Item {
    id: nav
    property int pointSize: 20
    property int big: pointSize * 1.1
    width: navigationRow.width
    height: navigationRow.height
    property bool last: false
    Row {
        id: navigationRow
        spacing: pointSize * 1.5
        Item {
            width: nav.big
            height: nav.big
            Rectangle {
                width: nav.pointSize
                height: nav.pointSize
                anchors.centerIn: parent
                radius: nav.pointSize / 2
                color: ribbonColor2
            }
        }
        Item {
            width: nav.big
            height: nav.big
            Rectangle {
                width: last ? nav.pointSize : nav.big
                height: width
                anchors.centerIn: parent
                radius: width / 2
                color: last ? ribbonColor2 : ribbonColor
            }
        }
        Item {
            width: nav.big
            height: nav.big
            Rectangle {
                width: last ? nav.big : nav.pointSize
                height: width
                anchors.centerIn: parent
                radius: width / 2
                color: last ? ribbonColor : ribbonColor2
            }
        }
    }
}
