import QtQuick 2.7
import QtQuick.Controls 1.4

Item {
    id: queuedView
    anchors.fill: parent
    anchors.margins: app.ratioH * 10
    TableView {
        id: table
        alternatingRowColors: true
        headerVisible: false
        anchors.fill: parent
        TableViewColumn {
            width: parent.width * 0.07
            delegate: Component {
                Text {
                    text: styleData.value
                }
            }
        }
        model: log
    }
}
